import { Router } from "express";
import { FuelPumpController } from "./fuelPump.controller";
import { authMiddleware } from "../auth/auth.middleware";

const fuelPumpRouter = Router();

const controller = new FuelPumpController();

fuelPumpRouter.get("/", authMiddleware, controller.getAll);

fuelPumpRouter.get("/:id", authMiddleware, controller.getById);

fuelPumpRouter.post("/", authMiddleware, controller.create);

fuelPumpRouter.put("/:id", authMiddleware, controller.update);

fuelPumpRouter.delete("/:id", authMiddleware, controller.delete);

export default fuelPumpRouter;